MCUX CLNS MCUX Crypto Library Normal Secure |

Data Fields
mcuxClCss_EccSignOption_t Union Reference
mcuxClCss » mcuxClCss_Ecc » mcuxClCss_Ecc_Types

Command option bit field for mcuxClCss_EccSign_Async Bit field to configure mcuxClCss_EccSign_Async. More...

`#include <mcuxClCss_Ecc.h>`

## Data Fields
struct {
uint32_t value
| Access the bit field as a full word; initialize with a combination of constants from MCUXCLCSS_ECC (Sign and Verify) option word values. More...
} | word
| Access mcuxClCss_EccSignOption_t word-wise. More...
struct {
uint32_t echashchl:1
| Define type of input, plain message or hash of message. More...
uint32_t signrtf:1
| Define if signing the Run-Time Fingerprint. More...
uint32_t __pad0__:2
| RFU. More...
uint32_t revf:1
| This field is managed internally. More...
uint32_t __pad1__:27
| RFU. More...
} | bits
| Access mcuxClCss_EccSignOption_t bit-wise. More...

## Detailed Description

Command option bit field for mcuxClCss_EccSign_Async Bit field to configure mcuxClCss_EccSign_Async.

See MCUXCLCSS_ECC (Sign and Verify) option bit field values for possible options.

Examples
  ecc_keygen_sign_verify.c.

## Field Documentation

## ◆ value

uint32_t mcuxClCss_EccSignOption_t::value

Access the bit field as a full word; initialize with a combination of constants from MCUXCLCSS_ECC (Sign and Verify) option word values.

## ◆ word

struct { ... } mcuxClCss_EccSignOption_t::word

Access mcuxClCss_EccSignOption_t word-wise.

## ◆ echashchl

uint32_t mcuxClCss_EccSignOption_t::echashchl

Define type of input, plain message or hash of message.

## ◆ signrtf

uint32_t mcuxClCss_EccSignOption_t::signrtf

Define if signing the Run-Time Fingerprint.

## ◆ __pad0__

uint32_t mcuxClCss_EccSignOption_t::__pad0__

RFU.

## ◆ revf

uint32_t mcuxClCss_EccSignOption_t::revf

This field is managed internally.

## ◆ __pad1__

uint32_t mcuxClCss_EccSignOption_t::__pad1__

RFU.

## ◆ bits

struct { ... } mcuxClCss_EccSignOption_t::bits

Access mcuxClCss_EccSignOption_t bit-wise.